#include <stdio.h>

#ifndef TRUE
  #define TRUE  (1 == 1)
  #define FALSE (!TRUE)
#endif

typedef struct {
  int code;
  char *message;
  int fatal; /* Should be TRUE or FALSE */
} T_ERROR;

#define T_ERROR_CHECK(err) if (err) { if (err->fatal) { \
   fprintf(stderr, "FATAL ERROR: %s\n", err->message); exit(err->code); } else { \
   fprintf(stderr, "Warning: %s\n", err->message); }}
